Get setup intent
curl --request GET \
--url https://api.natural.com/setup-intents/{setupIntentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/setup-intents/{setupIntentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/setup-intents/{setupIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/setup-intents/{setupIntentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/setup-intents/{setupIntentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/setup-intents/{setupIntentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/setup-intents/{setupIntentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "set_019d0a1b2c3d4e5f60718293a4b5c6e1",
"type": "setupIntent",
"attributes": {
"status": "completed",
"setupUrl": null,
"clientSecret": null,
"lastFailure": null,
"expiresAt": "2026-10-30T00:00:00Z",
"canceledAt": null,
"createdAt": "2026-10-27T15:00:00Z",
"updatedAt": "2026-10-27T15:04:12Z"
},
"relationships": {
"mandate": {
"data": {
"type": "mandate",
"id": "mdt_019d0a1b2c3d4e5f60718293a4b5c6e2"
}
}
}
}
}Setup intents
Get setup intent
Get one setup intent your party created. Its mandate is null until the guest saves a card and status is completed. Returns the Setup Intent object.
GET
/
setup-intents
/
{setupIntentId}
Get setup intent
curl --request GET \
--url https://api.natural.com/setup-intents/{setupIntentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/setup-intents/{setupIntentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/setup-intents/{setupIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/setup-intents/{setupIntentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/setup-intents/{setupIntentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/setup-intents/{setupIntentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/setup-intents/{setupIntentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "set_019d0a1b2c3d4e5f60718293a4b5c6e1",
"type": "setupIntent",
"attributes": {
"status": "completed",
"setupUrl": null,
"clientSecret": null,
"lastFailure": null,
"expiresAt": "2026-10-30T00:00:00Z",
"canceledAt": null,
"createdAt": "2026-10-27T15:00:00Z",
"updatedAt": "2026-10-27T15:04:12Z"
},
"relationships": {
"mandate": {
"data": {
"type": "mandate",
"id": "mdt_019d0a1b2c3d4e5f60718293a4b5c6e2"
}
}
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?